us.zoom.sdk

## Class InMeetingUserInfo

- java.lang.Object
- - us.zoom.sdk.InMeetingUserInfo

-     public class InMeetingUserInfo
      extends java.lang.Object

  Zoom in-meeting user information object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `InMeetingUserInfo.AudioStatus` Zoom in-meeting user's audio status
    `class` | `InMeetingUserInfo.VideoStatus` Zoom in-meeting user's video status

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `Audio_Type_None`
    `static int` | `Audio_Type_Telephony`
    `static int` | `Audio_Type_VoIP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMeetingUserInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InMeetingUserInfo.AudioStatus` | `getAudioStatus()`
    `java.lang.String` | `getAvatarPath()`
    `java.lang.String` | `getEmail()`
    `long` | `getUserId()`
    `java.lang.String` | `getUserName()`
    `InMeetingUserInfo.VideoStatus` | `getVideoStatus()`
    `boolean` | `isCoHost()`
    `boolean` | `isHost()`
    `boolean` | `isInSilentMode()`
    `boolean` | `isRaisedHand()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Audio_Type_VoIP

          public static final int Audio_Type_VoIP

      See Also:
        Constant Field Values

    - #### Audio_Type_Telephony

          public static final int Audio_Type_Telephony

      See Also:
        Constant Field Values

    - #### Audio_Type_None

          public static final int Audio_Type_None

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InMeetingUserInfo

          public InMeetingUserInfo()

  - ### Method Detail

    - #### getUserId

          public long getUserId()

    - #### getUserName

          public java.lang.String getUserName()

    - #### getEmail

          public java.lang.String getEmail()

    - #### isRaisedHand

          public boolean isRaisedHand()

    - #### getAvatarPath

          public java.lang.String getAvatarPath()

    - #### isInSilentMode

          public boolean isInSilentMode()

    - #### isHost

          public boolean isHost()

    - #### isCoHost

          public boolean isCoHost()

    - #### getVideoStatus

          public InMeetingUserInfo.VideoStatus getVideoStatus()

    - #### getAudioStatus

          public InMeetingUserInfo.AudioStatus getAudioStatus()